## org.apache.hadoop.mapred
Class TaskAttemptContext

    java.lang.Object
      org.apache.hadoop.mapreduce.JobContext
          org.apache.hadoop.mapreduce.TaskAttemptContext
              org.apache.hadoop.mapred.TaskAttemptContext

All Implemented Interfaces:
  Progressable

    public class TaskAttemptContext

extends TaskAttemptContext

Field Summary

Fields inherited from class org.apache.hadoop.mapreduce.JobContext
`CACHE_ARCHIVES_VISIBILITIES, CACHE_FILE_VISIBILITIES, COMBINE_CLASS_ATTR, conf, credentials, INPUT_FORMAT_CLASS_ATTR, JOB_ACL_MODIFY_JOB, JOB_ACL_VIEW_JOB, JOB_CANCEL_DELEGATION_TOKEN, JOB_NAMENODES, MAP_CLASS_ATTR, OUTPUT_FORMAT_CLASS_ATTR, PARTITIONER_CLASS_ATTR, REDUCE_CLASS_ATTR, ugi, USER_LOG_RETAIN_HOURS`

Method Summary
`JobConf` `getJobConf()`
`Progressable` `getProgressible()`
`TaskAttemptID` `getTaskAttemptID()` Get the taskAttemptID.
`void` `progress()` Report progress.

Methods inherited from class org.apache.hadoop.mapreduce.TaskAttemptContext
`getStatus, setStatus`

Methods inherited from class org.apache.hadoop.mapreduce.JobContext
`getCombinerClass, getConfiguration, getCredentials, getGroupingComparator, getInputFormatClass, getJar, getJobID, getJobName, getMapOutputKeyClass, getMapOutputValueClass, getMapperClass, getNumReduceTasks, getOutputFormatClass, getOutputKeyClass, getOutputValueClass, getPartitionerClass, getReducerClass, getSortComparator, getWorkingDirectory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTaskAttemptID

    public TaskAttemptID getTaskAttemptID()

  Get the taskAttemptID.

  Overrides:
    `getTaskAttemptID` in class `TaskAttemptContext`
  Returns:
    TaskAttemptID

### getProgressible

    public Progressable getProgressible()

### getJobConf

    public JobConf getJobConf()

### progress

    public void progress()

  Description copied from class: `TaskAttemptContext`
  Report progress. The subtypes actually do work in this method.

  Specified by:
    `progress` in interface `Progressable`
  Overrides:
    `progress` in class `TaskAttemptContext`

Copyright © 2009 The Apache Software Foundation